var editor = new EditorJS({
    readOnly: false,
    holder: 'editorjs',
    tools: {
    header: {
        class: Header,
        inlineToolbar: ['marker', 'link'],
        config: {
        placeholder: 'Header'
        },
        shortcut: 'CMD+SHIFT+H'
    },
    image: SimpleImage,
    list: {
        class: List,
        inlineToolbar: true,
        shortcut: 'CMD+SHIFT+L'
    },
    checklist: {
        class: Checklist,
        inlineToolbar: true,
    },
    quote: {
        class: Quote,
        inlineToolbar: true,
        config: {
        quotePlaceholder: 'Enter a quote',
        captionPlaceholder: 'Quote\'s author',
        },
        shortcut: 'CMD+SHIFT+O'
    },
    warning: Warning,
    marker: {
        class:  Marker,
        shortcut: 'CMD+SHIFT+M'
    },
    code: {
        class:  CodeTool,
        shortcut: 'CMD+SHIFT+C'
    },
    delimiter: Delimiter,
    inlineCode: {
        class: InlineCode,
        shortcut: 'CMD+SHIFT+C'
    },
    linkTool: LinkTool,
    embed: Embed,
    table: {
        class: Table,
        inlineToolbar: true,
        shortcut: 'CMD+ALT+T'
    },
    },
    data: {
    blocks: JSON.parse(textarea.value),
    },
    onChange: function(api, event) {
    editor.save().then((data) => {
        textarea.value = JSON.stringify(data.blocks);
    }).catch((error) => {
        console.error('Saving error', error);
    });
    }
});